DERSequence (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1

## Class DERSequence

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ASN1Primitive
    - - org.bouncycastle.asn1.ASN1Sequence
      - - org.bouncycastle.asn1.DERSequence

- All Implemented Interfaces:
    java.lang.Iterable<ASN1Encodable>, ASN1Encodable, Encodable

      public class DERSequence
      extends ASN1Sequence

- - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.asn1.ASN1Sequence

      `seq`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DERSequence()` create an empty sequence
    `DERSequence(ASN1Encodable obj)` create a sequence containing one object
    `DERSequence(ASN1Encodable[] array)` create a sequence containing an array of objects.
    `DERSequence(ASN1EncodableVector v)` create a sequence containing a vector of objects.

  - ### Method Summary

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Sequence

      `getInstance, getInstance, getObjectAt, getObjects, hashCode, iterator, parser, size, toArray, toString`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Primitive

      `equals, fromByteArray, toASN1Primitive`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `getEncoded, getEncoded, hasEncodedTagValue, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DERSequence

          public DERSequence()

      create an empty sequence

    - #### DERSequence

          public DERSequence(ASN1Encodable obj)

      create a sequence containing one object
      Parameters:
        `obj` - the object to go in the sequence.

    - #### DERSequence

          public DERSequence(ASN1EncodableVector v)

      create a sequence containing a vector of objects.
      Parameters:
        `v` - the vector of objects to make up the sequence.

    - #### DERSequence

          public DERSequence(ASN1Encodable[] array)

      create a sequence containing an array of objects.
      Parameters:
        `array` - the array of objects to make up the sequence.